<component name="InspectionProjectProfileManager">
  <profile version="1.0">
    <option name="myName" value="Project Default" />
    <inspection_tool class="AbstractClassExtendsConcreteClass" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="AbstractClassNeverImplemented" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="AbstractClassWithoutAbstractMethods" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="AbstractMethodOverridesAbstractMethod" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="AbstractMethodOverridesConcreteMethod" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="AbstractMethodWithMissingImplementations" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="ArraysAsListWithZeroOrOneArgument" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="AssertAsName" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="AssertsWithoutMessages" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="BeforeClassOrAfterClassIsPublicStaticVoidNoArg" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="BeforeOrAfterIsPublicVoidNoArg" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="BooleanMethodNameMustStartWithQuestion" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="ignoreBooleanMethods" value="false" />
      <option name="ignoreInAnnotationInterface" value="true" />
      <option name="onlyWarnOnBaseMethods" value="true" />
      <option name="questionString" value="is,can,has,should,could,will,shall,check,contains,equals,add,put,remove,startsWith,endsWith,are,should" />
    </inspection_tool>
    <inspection_tool class="BusyWait" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="CallToSimpleGetterInClass" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="ignoreGetterCallsOnOtherObjects" value="false" />
      <option name="onlyReportPrivateGetter" value="false" />
    </inspection_tool>
    <inspection_tool class="CallToSimpleSetterInClass" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="ignoreSetterCallsOnOtherObjects" value="false" />
      <option name="onlyReportPrivateSetter" value="false" />
    </inspection_tool>
    <inspection_tool class="CastConflictsWithInstanceof" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="CastToIncompatibleInterface" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ChainedEquality" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ChannelResource" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="insideTryAllowed" value="false" />
    </inspection_tool>
    <inspection_tool class="CollectionContainsUrl" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="CollectionsFieldAccessReplaceableByMethodCall" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ComparatorNotSerializable" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ConditionalExpressionWithIdenticalBranches" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ConfusingMainMethod" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ConfusingOctalEscape" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ConstantConditions" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="SUGGEST_NULLABLE_ANNOTATIONS" value="true" />
      <option name="DONT_REPORT_TRUE_ASSERT_STATEMENTS" value="false" />
    </inspection_tool>
    <inspection_tool class="ControlFlowStatementWithoutBraces" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="CovariantCompareTo" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="CovariantEquals" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="CyclicClassDependency" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="DriverManagerGetConnection" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="DuplicateBooleanBranch" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="DynamicRegexReplaceableByCompiledPattern" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="EmptyInitializer" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="EnumAsName" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="EnumerationCanBeIteration" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="EqualsCalledOnEnumConstant" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="EqualsHashCodeCalledOnUrl" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ExceptionFromCatchWhichDoesntWrap" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="ignoreGetMessage" value="false" />
      <option name="ignoreCantWrap" value="false" />
    </inspection_tool>
    <inspection_tool class="ExtendsConcreteCollection" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ExtendsUtilityClass" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ExternalizableWithSerializationMethods" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="FieldAccessNotGuarded" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="FieldCanBeLocal" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="FieldMayBeStatic" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="FlexUnitRunnerClassInspection" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ForLoopThatDoesntUseLoopVariable" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="HibernateResource" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="insideTryAllowed" value="false" />
    </inspection_tool>
    <inspection_tool class="HtmlUnknownAttribute" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="myValues">
        <value>
          <list size="7">
            <item index="0" class="java.lang.String" itemvalue="type" />
            <item index="1" class="java.lang.String" itemvalue="wmode" />
            <item index="2" class="java.lang.String" itemvalue="src" />
            <item index="3" class="java.lang.String" itemvalue="width" />
            <item index="4" class="java.lang.String" itemvalue="height" />
            <item index="5" class="java.lang.String" itemvalue="language" />
            <item index="6" class="java.lang.String" itemvalue="tabindex" />
          </list>
        </value>
      </option>
      <option name="myCustomValuesEnabled" value="true" />
    </inspection_tool>
    <inspection_tool class="HtmlUnknownTag" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="myValues">
        <value>
          <list size="6">
            <item index="0" class="java.lang.String" itemvalue="embed" />
            <item index="1" class="java.lang.String" itemvalue="nobr" />
            <item index="2" class="java.lang.String" itemvalue="noembed" />
            <item index="3" class="java.lang.String" itemvalue="comment" />
            <item index="4" class="java.lang.String" itemvalue="script" />
            <item index="5" class="java.lang.String" itemvalue="iframe" />
          </list>
        </value>
      </option>
      <option name="myCustomValuesEnabled" value="true" />
    </inspection_tool>
    <inspection_tool class="IOResource" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="ignoredTypesString" value="java.io.ByteArrayOutputStream,java.io.ByteArrayInputStream,java.io.StringBufferInputStream,java.io.CharArrayWriter,java.io.CharArrayReader,java.io.StringWriter,java.io.StringReader" />
      <option name="insideTryAllowed" value="true" />
    </inspection_tool>
    <inspection_tool class="IfMayBeConditional" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="IfStatementWithIdenticalBranches" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="IgnoreResultOfCall" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="m_reportAllNonLibraryCalls" value="false" />
      <option name="callCheckString" value="java.io.InputStream,read,java.io.InputStream,skip,java.lang.StringBuffer,toString,java.lang.StringBuilder,toString,java.lang.String,.*,java.math.BigInteger,.*,java.math.BigDecimal,.*,java.net.InetAddress,.*,java.io.File,.*,java.lang.Object,equals|hashCode,org.apache.commons.lang.ArrayUtils,.*,org.apache.commons.lang3.ArrayUtils,.*,org.apache.commons.lang.BooleanUtils,.*,org.apache.commons.lang3.BooleanUtils,.*,org.apache.commons.lang3.CharSequenceUtils,.*,org.apache.commons.lang.CharSetUtils,.*,org.apache.commons.lang3.CharSetUtils,.*,org.apache.commons.lang.ClassUtils,.*,org.apache.commons.lang3.ClassUtils,.*,org.apache.commons.lang3.text.FormattableUtils,append,org.apache.commons.lang.StringEscapeUtils,.*,org.apache.commons.lang3.StringEscapeUtils,.*,org.apache.commons.lang.StringUtils,.*,org.apache.commons.lang3.StringUtils,.*,org.apache.commons.lang.text.WordUtils,.*,org.apache.commons.lang3.text.WordUtils,.*,org.springframework.util.StringUtils,.*,com.google.common.base.Strings,.*,java.nio.file.Path,resolve,java.nio.file.Paths,.*" />
    </inspection_tool>
    <inspection_tool class="IndexOfReplaceableByContains" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="InnerClassMayBeStatic" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="InstanceGuardedByStatic" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="InstanceMethodNamingConvention" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="m_regex" value="[a-z][A-Za-z\d]*" />
      <option name="m_minLength" value="2" />
      <option name="m_maxLength" value="128" />
    </inspection_tool>
    <inspection_tool class="InstanceofIncompatibleInterface" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="InstanceofThis" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="InstantiationOfUtilityClass" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="InterfaceNeverImplemented" enabled="true" level="INFO" enabled_by_default="true">
      <option name="ignoreInterfacesThatOnlyDeclareConstants" value="false" />
    </inspection_tool>
    <inspection_tool class="JDBCResource" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="insideTryAllowed" value="false" />
    </inspection_tool>
    <inspection_tool class="JNDIResource" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="insideTryAllowed" value="false" />
    </inspection_tool>
    <inspection_tool class="JavaDoc" enabled="true" level="INFO" enabled_by_default="true">
      <option name="TOP_LEVEL_CLASS_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="" />
        </value>
      </option>
      <option name="INNER_CLASS_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="" />
        </value>
      </option>
      <option name="METHOD_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="@return@param@throws or @exception" />
        </value>
      </option>
      <option name="FIELD_OPTIONS">
        <value>
          <option name="ACCESS_JAVADOC_REQUIRED_FOR" value="none" />
          <option name="REQUIRED_TAGS" value="" />
        </value>
      </option>
      <option name="IGNORE_DEPRECATED" value="false" />
      <option name="IGNORE_JAVADOC_PERIOD" value="true" />
      <option name="IGNORE_DUPLICATED_THROWS" value="false" />
      <option name="IGNORE_POINT_TO_ITSELF" value="false" />
      <option name="myAdditionalJavadocTags" value="aggregator execute goal phase requiresDirectInvocation requiresProject requiresReports requiresOnline parameter component required readonly" />
    </inspection_tool>
    <inspection_tool class="JavadocReference" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="JpaDataSourceORMDomInspection" enabled="true" level="SERVER PROBLEM" enabled_by_default="true" />
    <inspection_tool class="JpaDataSourceORMInspection" enabled="true" level="SERVER PROBLEM" enabled_by_default="true" />
    <inspection_tool class="KeySetIterationMayUseEntrySet" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="LabeledStatement" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="LengthOneStringInIndexOf" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="LengthOneStringsInConcatenation" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="ListIndexOfReplaceableByContains" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="LiteralAsArgToStringEquals" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="LoggerInitializedWithForeignClass" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="loggerClassName" value="org.slf4j.LoggerFactory" />
      <option name="loggerFactoryMethodName" value="getLogger" />
    </inspection_tool>
    <inspection_tool class="LoggingConditionDisagreesWithLogStatement" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="LoopConditionNotUpdatedInsideLoop" enabled="true" level="INFO" enabled_by_default="true">
      <option name="ignoreIterators" value="false" />
    </inspection_tool>
    <inspection_tool class="MapReplaceableByEnumMap" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MethodMayBeStatic" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="m_onlyPrivateOrFinal" value="false" />
      <option name="m_ignoreEmptyMethods" value="true" />
    </inspection_tool>
    <inspection_tool class="MethodNameSameAsParentName" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MethodNamesDifferOnlyByCase" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MisorderedAssertEqualsParameters" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MisspelledCompareTo" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MisspelledEquals" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MisspelledHashcode" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MisspelledSetUp" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MisspelledTearDown" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MisspelledToString" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="MultipleTypedDeclaration" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="NewExceptionWithoutArguments" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="NonBooleanMethodNameMayNotStartWithQuestion" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="questionString" value="is,can,has,should,could,will,shall,check,contains,equals,startsWith,endsWith" />
      <option name="ignoreBooleanMethods" value="false" />
      <option name="onlyWarnOnBaseMethods" value="true" />
    </inspection_tool>
    <inspection_tool class="NonFinalFieldInImmutable" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="NonFinalGuard" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="NonProtectedConstructorInAbstractClass" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="m_ignoreNonPublicClasses" value="false" />
    </inspection_tool>
    <inspection_tool class="NonSerializableFieldInSerializableClass" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="ignorableAnnotations">
        <value />
      </option>
      <option name="ignoreAnonymousInnerClasses" value="false" />
      <option name="superClassString" value="java.awt.Component" />
    </inspection_tool>
    <inspection_tool class="NonSerializableObjectBoundToHttpSession" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="NonSerializableObjectPassedToObjectStream" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="NonSerializableWithSerialVersionUIDField" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="NonSerializableWithSerializationMethods" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ObjectEquality" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="m_ignoreEnums" value="true" />
      <option name="m_ignoreClassObjects" value="false" />
      <option name="m_ignorePrivateConstructors" value="false" />
    </inspection_tool>
    <inspection_tool class="ObjectToString" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="ObsoleteCollection" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="ignoreRequiredObsoleteCollectionTypes" value="false" />
    </inspection_tool>
    <inspection_tool class="PackageDotHtmlMayBePackageInfo" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="PointlessNullCheck" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="QuestionableName" enabled="true" level="WEAK WARNING" enabled_by_default="true">
      <option name="nameString" value="aa,abc,bad,bar,bar2,baz,baz1,baz2,baz3,bb,blah,bogus,bool,cc,dd,defau1t,dummy,dummy2,ee,fa1se,ff,foo,foo1,foo2,foo3,foobar,four,fred,fred1,fred2,gg,hh,hello,hello1,hello2,hello3,ii,nu11,one,silly,silly2,string,two,that,then,three,whi1e,var" />
    </inspection_tool>
    <inspection_tool class="RandomDoubleForRandomInteger" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="RawUseOfParameterizedType" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ReadObjectAndWriteObjectPrivate" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ReadObjectInitialization" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ReadResolveAndWriteReplaceProtected" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="RedundantMethodOverride" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="RefusedBequest" enabled="true" level="INFO" enabled_by_default="true">
      <option name="ignoreEmptySuperMethods" value="false" />
    </inspection_tool>
    <inspection_tool class="ResultSetIndexZero" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SSBasedInspection" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SafeLock" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SerialPersistentFieldsWithWrongSignature" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SerialVersionUIDNotStaticFinal" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SerializableHasSerialVersionUIDField" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="ignoreAnonymousInnerClasses" value="false" />
      <option name="superClassString" value="java.awt.Component" />
    </inspection_tool>
    <inspection_tool class="SerializableHasSerializationMethods" enabled="true" level="INFO" enabled_by_default="true">
      <option name="ignoreAnonymousInnerClasses" value="false" />
      <option name="superClassString" value="java.awt.Component,java.lang.Throwable" />
    </inspection_tool>
    <inspection_tool class="SerializableInnerClassHasSerialVersionUIDField" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="ignoreAnonymousInnerClasses" value="false" />
      <option name="superClassString" value="java.awt.Component" />
    </inspection_tool>
    <inspection_tool class="SerializableInnerClassWithNonSerializableOuterClass" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="ignoreAnonymousInnerClasses" value="false" />
      <option name="superClassString" value="java.awt.Component" />
    </inspection_tool>
    <inspection_tool class="SerializableWithUnconstructableAncestor" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SetReplaceableByEnumSet" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SetupCallsSuperSetup" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SetupIsPublicVoidNoArg" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SimplifiableEqualsExpression" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="SizeReplaceableByIsEmpty" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="SocketResource" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="insideTryAllowed" value="false" />
    </inspection_tool>
    <inspection_tool class="SpringPlaceholdersInspection" enabled="true" level="ERROR" enabled_by_default="true" />
    <inspection_tool class="StandardVariableNames" enabled="true" level="INFO" enabled_by_default="true">
      <option name="ignoreParameterNameSameAsSuper" value="true" />
    </inspection_tool>
    <inspection_tool class="StaticCollection" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="m_ignoreWeakCollections" value="false" />
    </inspection_tool>
    <inspection_tool class="StaticGuardedByInstance" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="StaticInheritance" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="StaticSuite" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="StringBufferField" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="StringBufferToStringInConcatenation" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="StringConcatenationArgumentToLogCall" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="StringConcatenationInLoops" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="StringEqualsEmptyString" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="StringReplaceableByStringBuffer" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="onlyWarnOnLoop" value="false" />
    </inspection_tool>
    <inspection_tool class="SwitchStatementWithConfusingDeclaration" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SystemGC" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="SystemOutErr" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="TailRecursion" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="TeardownCallsSuperTeardown" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="TeardownIsPublicVoidNoArg" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="TestCaseInProductCode" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="TestMethodIsPublicVoidNoArg" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="TextLabelInSwitchStatement" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ThreadDumpStack" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="ThrowablePrintStackTrace" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="TransientFieldInNonSerializableClass" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="TransientFieldNotInitialized" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="TrivialStringConcatenation" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="TypeParameterExtendsFinalClass" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="UnclearBinaryExpression" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="UnconstructableTestCase" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="UnknownGuard" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="UnnecessaryConstantArrayCreationExpression" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="UnnecessaryLocalVariable" enabled="true" level="WARNING" enabled_by_default="true">
      <option name="m_ignoreImmediatelyReturnedVariables" value="true" />
      <option name="m_ignoreAnnotatedVariables" value="true" />
    </inspection_tool>
    <inspection_tool class="UnnecessaryToStringCall" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="UnusedDeclaration" enabled="true" level="INFO" enabled_by_default="true">
      <option name="ADD_MAINS_TO_ENTRIES" value="true" />
      <option name="ADD_APPLET_TO_ENTRIES" value="true" />
      <option name="ADD_SERVLET_TO_ENTRIES" value="true" />
      <option name="ADD_NONJAVA_TO_ENTRIES" value="true" />
    </inspection_tool>
    <inspection_tool class="UnusedLibrary" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="UseOfJDBCDriverClass" enabled="true" level="INFO" enabled_by_default="true" />
    <inspection_tool class="UseOfPropertiesAsHashtable" enabled="true" level="WARNING" enabled_by_default="true" />
    <inspection_tool class="ValidExternallyBoundObject" enabled="true" level="SERVER PROBLEM" enabled_by_default="true" />
    <inspection_tool class="VariableNotUsedInsideIf" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
    <inspection_tool class="ZeroLengthArrayInitialization" enabled="true" level="WARNING" enabled_by_default="true" />
  </profile>
</component>